Name:		symlinks
Version:	1.7
Release:	%mkrel 2

Summary:	A utility which maintains a system's symbolic links
Group:		File tools
License:	BSD-style
URL:		http://www.ibiblio.org/pub/Linux/utils/file/
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/file/%{name}-%{version}.tar.gz
Patch0:		symlinks-1.4-noroot.patch
Patch2:		symlinks-1.4-short.patch

%description
The symlinks utility performs maintenance on symbolic links.  Symlinks
checks for symlink problems, including dangling symlinks which point to
nonexistent files.  Symlinks can also automatically convert absolute
symlinks to relative symlinks.

Install the symlinks package if you need a program for maintaining
symlinks on your system.


%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 %{ldflags}"

%install
%__install -D %{name} %{buildroot}%{_bindir}/%{name}
%__install -D %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*




%changelog
* Thu Feb 20 2020 umeabot <umeabot> 1.7-2.mga8
+ Revision: 1545110
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 luigiwalser <luigiwalser> 1.7-1.mga8
+ Revision: 1483998
- 1.7
- rediff patch 0

* Sun Sep 23 2018 umeabot <umeabot> 1.4-9.mga7
+ Revision: 1301271
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update macros

* Sat Feb 06 2016 umeabot <umeabot> 1.4-8.mga6
+ Revision: 939955
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-7.mga5
+ Revision: 749514
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-6.mga5
+ Revision: 689650
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-5.mga4
+ Revision: 519486
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4-4.mga3
+ Revision: 383880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 andre999 <andre999> 1.4-3.mga1
+ Revision: 71498
- imported package symlinks


* Mon Mar 14 2011 andre999 <andre999@mageia.org> 1.4-3mga1
- import from mdv + clean

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-3mdv2011.0
+ Revision: 607761
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-2mdv2010.1
+ Revision: 520244
- rebuilt for 2010.1

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - drop buildrequires on glibc-static-devel as we no longer do static linking
    - regenerate short patch (P2)
    - drop static patch (P1) as it's no longer needed
    - regenerate noroot patch (P0)
    - new release: 1.4

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2-23mdv2010.0
+ Revision: 427220
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1.2-22mdv2009.1
+ Revision: 366310
- rediff noroot patch

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix issue with >2GB files (fixes #41900)
    - fix issue with symlinks converted from absolute to relative aren't shortened
      (P2, RHBZ #89655)
    - compile with correct flags to enable large files support (#41900)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2-20mdv2009.0
+ Revision: 225548
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-19mdv2008.1
+ Revision: 179567
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-18mdv2007.0
+ Revision: 119974
- Import symlinks

* Sat Apr 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-17mdk
- rebuild
- %%mkrel
- pass $RPM_OPT_FLAGS to CFLAGS variable in stead of changing it with perl
- fix summary-ended-with-dot

* Tue Oct 05 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-16mdk
- fix static build

